<!DOCTYPE html>
<html>

  <head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="My personal website">
    <meta name="author" content="Alexandre Acsensi">

    <title>Input devices</title>

    <link href="../../css/bootstrap.min.css" rel="stylesheet"> <!-- Bootstrap core CSS -->
    <link href="../../css/main.css" rel="stylesheet"> <!-- Custom styles for this template -->
    <link href="https://fonts.googleapis.com/css?family=Roboto:100,100i,300,300i,400,400i,500,500i,700,700i,900,900i" rel="stylesheet">

    <link rel="shortcut icon" type="image/png" href="../../img/aavlogo-black.png">

  </head>

  <body>

    <section id="mdeft1" >
      <div class="container">
        <div class="row">
          <div class="col-lg-8 mx-auto">
            <h2>Input devices</h2>
            <u><a class="text_black" href="http://academy.cba.mit.edu/classes/input_devices/index.html" target="_blank"><h6>FabAcademy input devices</h6></a></u>
            <u><a class="text_black" href="http://fab.academany.org/2019/labs/barcelona/local/wa/week10/" target="_blank"><h6>FabBarcelona input devices</h6></a></u>
            <br>
            <p>
              The aim of this week was to work with inputs. Learning how to program circuits.<br>
              I did this assignment with Ryota, we combined input and output weeks on the same board.
            </p>
            <br>
            <ul>
              <li> <u> <a class="text_black" href="#a"> What I want to do? Choosing sensor for input and learn how to use it</a> </li> </u>
              <li> <u> <a class="text_black" href="#b"> Designing the board / how datasheet helped me  </a> </li> </u>
              <li> <u> <a class="text_black" target="_blank" href="files/w10files.zip" download> click to download the files</a> </li> </u>
            </ul>
            <br><br><br>
            <h5 id=a> What I want to do? Choosing sensor for input and learn how to use it </h5>
            <br>
            <p>
              For my final project, I need to stop an air pump during night time. In order to do that we took an <b>LDR sensor</b>.
              LDR it's a light dependent resistor. The resistance of a photoresistor decreases with increasing incident light intensity.
            </p>
            <br><br>
            <center><img src="files/ldr.png" width="67%"></center>
            <br><br>
            <center><img src="files/ldr2.png" width="67%"></center>
            <br><br>
            <p>
              I checked online how to use LDR sensor to read an analog input. I found the code and the circuit showed below. We tried how works
              with Arduino.
              We checked different thresholds to find the perfect one that makes our circuit close when it's night time.
              <br><br>
              <code>
                const int LEDPin = 13; <br>
                const int LDRPin = A0; <br>
                const int threshold = 100; <br>
                 <br>
                void setup() { <br>
                   pinMode(LEDPin, OUTPUT); <br>
                   pinMode(LDRPin, INPUT); <br>
                } <br>
                 <br>
                void loop() { <br>
                   int input = analogRead(LDRPin); <br>
                   if (input > threshold) { <br>
                      digitalWrite(LEDPin, HIGH); <br>
                   } <br>
                   else { <br>
                      digitalWrite(LEDPin, LOW); <br>
                   } <br>
              </code>
            </p>
            <br><br>
            <div class="row">
              <div class="col-sm">
                <center><img src="files/input.PNG" width="80%"></center>
              </div>
              <div class="col-sm">
                <center><img src="files/input2.PNG" width="90%"></center>
              </div>
            </div>
            <br><br>
            <video src="files/arduprova.mp4" autoplay muted loop width="100%"> </video>

            <br><br><br><br>

            <h5 id=b> Designing the board / how datasheet helped me </h5>
            <br>
            <p>
              Ryota and I took Niel’s <a href"http://academy.cba.mit.edu/classes/output_devices/speaker/hello.speaker.45.png">hello.speaker.45.py </a>
              model as an example to make our PCB with motor /
              air pump (output) and LDR (input) in order to turn on/off the air pump with the input of light.
              <br><br>We chose an LDR as the sensor of our board to detect light as input.
              Once we identified the components, they should be connected to corresponding spots.
              </p>
              <br>
              <center><img src="../w6/files/schematics.PNG" width="100%"></center>
              <br><br>
              <p>
                With little time we had, we took the Niel hello.speaker board as a reference. However, in the end, we
                had to add 2 jumpers which don't exist in the Niel's board for the battery and air pump.
                Therefore the design looks totally different than the Niel's one:
              </p>
              <br>
              <center><img src="files/hello.speaker.PNG" width="100%"></center>
              <br>
              <center><img src="../w6/files/footprint.PNG" width="100%"></center>
              <br><br>
              <p>
                Looking at ATtiny45 datasheet we knew that in order to code an analog input we should use PB3 pin.
              </p>

              <br>

              <center><img src="files/finalboard.jpeg" width="100%"></center>

              <br>

              <video src="files/placafunciona.mp4" autoplay muted loop width="100%"> </video>


          </div>
        </div>
      </div>
    </section>

  </body>

</html>
